From: Tony Balinski <ajbj@free.fr>
Subject: Allow easy negative testing of array index inclusion

This patch provides the composite operator "! in" (for "not in"), which
can be used in array tests. This allows the current negative test

	if (!(index in theArray)) ...

to be written

	if (index !in theArray) ...

The Enhancements to NEdit macro parsing patch includes this small change.

---

 source/parse.y |    5 +++++
 1 file changed, 5 insertions(+)

diff --quilt old/source/parse.y new/source/parse.y
--- old/source/parse.y
+++ new/source/parse.y
@@ -587,7 +587,12 @@ numexpr:    NUMBER {
             | numexpr IN numexpr {
                 ADD_OP(OP_IN_ARRAY);
             }
+            | numexpr NOT IN numexpr {
+                ADD_OP(OP_IN_ARRAY);
+                ADD_OP(OP_NOT);
+            }
             ;
+
 while:  WHILE {
             $$ = GetPC(); StartLoopAddrList();
         }
